Bug 1673634 - EPEL7 - php-Pimple obsoleted by php-pimple, but still in EPEL7
Summary: EPEL7 - php-Pimple obsoleted by php-pimple, but still in EPEL7
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: php-Pimple
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: EPEL7FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2019-02-07 16:25 UTC by Troy Dawson
Modified: 2019-02-28 15:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-28 15:52:23 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Troy Dawson 2019-02-07 16:25:41 UTC
php-pimple-3.0.2-1.el7 obsoletes php-Pimple-3.0.0-1.el7
It doesn't have obsoletes in it, but since it has the same name, and a higher number, it automatically obsoletes it

php-Pimple was taken out of regular Fedora back in 2015.

I am trying to cleanup EPEL7 packages that don't install and/or obsoleted.

I believe php-Pimple should be removed from EPEL7.

Please respond to this bug, letting us know if you feel this package should be in EPEL7, or not.

If you wish it removed, let us know and we can have a proven packager remove it from EPEL7.

If you have not responded in two weeks, we will assume that you do not mind it being removed and will have a proven packager remove the package from EPEL7.

Comment 1 Shawn Iwinski 2019-02-23 07:12:58 UTC
@Troy I tried retiring this package in EPEL7 but it fails:

$ fedpkg retire 'Obsoleted by php-pimple'
rm '.gitignore'
rm 'php-Pimple.spec'
rm 'sources'
[epel7 ccb2619] Obsoleted by php-pimple
 4 files changed, 1 insertion(+), 121 deletions(-)
 delete mode 100644 .gitignore
 create mode 100644 dead.package
 delete mode 100644 php-Pimple.spec
 delete mode 100644 sources
Enumerating objects: 4, done.
Counting objects: 100% (4/4), done.
Delta compression using up to 8 threads
Compressing objects: 100% (1/1), done.
Writing objects: 100% (3/3), 280 bytes | 280.00 KiB/s, done.
Total 3 (delta 0), reused 2 (delta 0)
remote: Unspecified ref refs/heads/epel7 is blocked
remote: Denied push for ref 'refs/heads/epel7' for user 'siwinski'
remote: All changes have been rejected
To ssh://pkgs.fedoraproject.org/rpms/php-Pimple
 ! [remote rejected] epel7 -> epel7 (pre-receive hook declined)
error: failed to push some refs to 'ssh://siwinski.org/rpms/php-Pimple'
Could not execute retire: Failed to execute command.

Comment 2 Troy Dawson 2019-02-25 18:07:50 UTC
I opened a ticket with releng.  It looks like there was not a pdc entry for epel7

https://pagure.io/releng/issue/8161

It should be removed now.
I will close this ticket when I verify that it is gone from the EPEL7 repositories.

Comment 3 Troy Dawson 2019-02-28 15:52:23 UTC
Verified
Package is not in EPEL7 repositories.


Note You need to log in before you can comment on or make changes to this bug.